CREATE OR REPLACE TRIGGER CHK_SALES_REP
BEFORE INSERT OR UPDATE OF REPID ON CUSTOMER
FOR EACH ROW
DECLARE
x number;
BEGIN
    SELECT COUNT(*) INTO x FROM EMP
    WHERE JOB='SALESMAN' AND empno=:new.repid;
    IF x=0 THEN
        raise_application_error(-20001, 'Mitarbeiter existiert nicht oder arbeitet nicht im Vertrieb.');
    END IF;
END;
/

